## golang-entgo-ent 0.11.3

=== debian/changelog ===
golang-entgo-ent (0.11.3-4) unstable; urgency=medium

  * Add patches to work around build failures on 32-bit architectures, as
    spotted on armel, armhf, and i386 via https://ci.debian/net, and to
    avoid test failures once the build is successful on such systems:
     - 0003-avoid-overflows-on-32-bit-systems.patch (#3125 upstream)
     - 0004-disable-failing-tests-on-32-bit-systems.patch (#3126 upstream)

 -- Cyril Brulebois <cyril@debamax.com>  Sun, 27 Nov 2022 14:50:11 +0000

golang-entgo-ent (0.11.3-3) unstable; urgency=medium

  * Remove entc/internal from DH_GOLANG_EXCLUDES, so that it gets shipped
    in the package. Without it, entgo.io/ent/entc/internal cannot be found
    by entgo.io/ent/entc/entc.go (as spotted via autopkgtest).
  * Add patch to disable failing internal (snapshot/restore) test:
     - 0002-disable-failing-internal-test.patch

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 25 Nov 2022 13:40:28 +0000

golang-entgo-ent (0.11.3-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 17 Oct 2022 20:11:05 +0200

golang-entgo-ent (0.11.3-1) unstable; urgency=medium

  * Initial release (Closes: #1021721).
  * Add patch to disable failing tests, reported upstream as #3013:
     - 0001-disable-failing-tests.patch
  * Don't ship examples under /usr/bin.
  * Don't ship .gitignore files.
  * Fix permissions for a number of documentation files.

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 18:01:36 +0000
