=== debian/control ===
Source: golang-entgo-ent
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-ariga-atlas-dev,
               golang-github-apparentlymart-go-textseg-dev (>= 13.0.0~),
               golang-github-data-dog-go-sqlmock-dev,
               golang-github-go-openapi-inflect-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-google-uuid-dev,
               golang-github-json-iterator-go-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-modern-go-reflect2-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-go-flags-dev,
               golang-go.opencensus-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-tools-dev,
               golang-pq-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-entgo-ent
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-entgo-ent.git
Homepage: https://github.com/ent/ent
Rules-Requires-Root: no
XS-Go-Import-Path: entgo.io/ent

Package: golang-entgo-ent-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-ariga-atlas-dev,
         golang-github-apparentlymart-go-textseg-dev (>= 13.0.0~),
         golang-github-data-dog-go-sqlmock-dev,
         golang-github-go-openapi-inflect-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-google-uuid-dev,
         golang-github-json-iterator-go-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-modern-go-reflect2-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-spf13-cobra-dev,
         golang-github-stretchr-testify-dev,
         golang-go-flags-dev,
         golang-go.opencensus-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-tools-dev,
         golang-pq-dev,
         golang-websocket-dev,
         ${misc:Depends}
Description: entity framework for Go
 The ent package is a simple, yet powerful entity framework for Go,
 that makes it easy to build and maintain applications with large
 data-models.
 .
 Highlights include:
  - Schema As Code - model any database schema as Go objects.
  - Easily Traverse Any Graph - run queries, aggregations and traverse
    any graph structure easily.
  - Statically Typed And Explicit API - 100% statically typed and
    explicit API using code generation.
  - Multi Storage Driver - supports MySQL, PostgreSQL, SQLite and
    Gremlin.
  - Extendable - simple to extend and customize using Go templates.
