=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_ALL := 1

export DH_GOLANG_EXCLUDES := cmd entc/integration

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
	find debian/golang-entgo-ent-dev -name .gitignore -delete
	find debian/golang-entgo-ent-dev \( -name '*.md' -o -name '*.mdx' \) -exec chmod a-x {} ';'
